%define name	kbarcode
%define version	1.9.4
%define release	1mdk

Summary:	A barcode and label printing application for KDE
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://www.kbarcode.net
Group:		Publishing
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}_16.png
Source2:	%{name}_32.png
Source3:	%{name}_48.png
Source4:	%{name}_1.4.0.pdf
Patch1:		%{name}-1.8.0-fileplugin.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires:	kdelibs-devel
BuildRequires:	chrpath, barcode-devel
Requires:	barcode
Requires:	ghostscript

%description
KBarcode is a barcode and label printing application for KDE 3.
It can be used to print every thing from simple business cards
up to complex labels with several barcodes (e.g. article
descriptions).
KBarcode comes with an easy to use WYSIWYG label designer, a setup
wizard, batch import of labels (directly from the delivery note),
thousands of predefined labels, database managment tools and
translations in many languages. Even printing more than 10.000
labels in one go is no problem for KBarcode.
Additionally it is a simply xbarcode replacement for the creation
of barcodes. All major types of barcodes like EAN, UPC, CODE39 and
ISBN are supported.

It has support for databases, and you need a package like libqt3-mysql,
libqt3-odbc or libqt3-psql, together with a specific database installed.
Install the kbarcode-doc package for documentation on how to set it up.

%package doc
Summary:	Documentation for Kbarcode
Group:		Publishing

%description doc
KBarcode is a barcode and label printing application for KDE 3.
It can be used to print every thing from simple business cards
up to complex labels with several barcodes (e.g. article
descriptions).
This package provides documentation for Kbarcode.


%prep
%setup -q

# compile of fileplugin breaks, add libs to link against
%patch1 -p1 -b .libs

%build
%configure --with-xinerama --enable-final 
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# Menu
# Provide only the main menucommand.
# Will add more command switches on user request.
(cd $RPM_BUILD_ROOT
mkdir -p .%{_menudir}
cat > .%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%{name}"\
icon="%{name}.png"\
title="KBarcode"\
longtitle="KBarcode is a barcode and label printing application."\
needs="x11"\
section="Office/Accessories"
EOF
)

install -d %buildroot/%_miconsdir
install -d %buildroot/%_liconsdir
install -d %buildroot/%_iconsdir

install -m644 %SOURCE1 %buildroot/%_miconsdir/%name.png
install -m644 %SOURCE2 %buildroot/%_iconsdir/%name.png
install -m644 %SOURCE3 %buildroot/%_liconsdir/%name.png
install -m644 %SOURCE4 $RPM_BUILD_DIR/%{name}-%{version}

rm %buildroot/%{_datadir}/apps/kbarcode/barcodes.html

# disable rpath
chrpath -d %buildroot/%{_bindir}/%{name}
chrpath -d %buildroot/%{_libdir}/kde3/kfile_kbarcode.so

%{find_lang} %name


%post
%{update_menus}

%postun
%{clean_menus}


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/*
%{_libdir}/kde3/kfile_kbarcode.la
%{_libdir}/kde3/kfile_kbarcode.so
%{_datadir}/services/kfile_kbarcode.desktop
%dir %{_datadir}/apps/kbarcode
%{_datadir}/apps/kbarcode/*
%{_datadir}/icons/*
%dir %{_datadir}/applnk/Applications/KBarcode
%{_datadir}/applnk/Applications/KBarcode/*
%{_menudir}/%{name}

%files doc
%defattr(-,root,root,-)
%doc AUTHORS COPYING README kbarcode/barcodes.html kbarcode_1.4.0.pdf


%changelog
* Fri Apr 01 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.9.4-1mdk
- 1.9.4

* Wed Dec 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.9.3-1mdk
- 1.9.3

* Fri Oct 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.9.1-3mdk
- Add patch3: fix enable-final
- Add patch4: fix crash
- Add patch5: fix crash when we create new table

* Thu Oct 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.9.1-2mdk
- Add debug
- Add patch2: fix mem leak

* Thu Oct 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.9.1-1mdk
- 1.9.1

* Tue Sep 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.8.1-1mdk
- 1.8.1
- regenerate patch

* Thu Sep 02 2004 Marcel Pol <mpol@mandrake.org> 1.8.0-2mdk
- patch1, fix compilation by linking against all libs
- update filelist for fileplugin
- disable rpath in plugin

* Sat Aug 28 2004 Marcel Pol <mpol@mandrake.org> 1.8.0-1mdk
- 1.8.0
- requires ghostscript
- drop patch0
- patch1, compilation of fileplugin breaks

* Sat Jun 05 2004 Marcel Pol <mpol@mandrake.org> 1.6.2-2mdk
- patch0 for compile fix

* Tue Feb 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.6.2-1mdk
- 1.6.2

* Sun Jan 11 2004 Marcel Pol <mpol@mandrake.org> 1.6.1-2mdk
- buildrequires

* Wed Jan 07 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.6.1-1mdk
- 1.6.1

* Sun Jan 04 2004 Marcel Pol <mpol@mandrake.org> 1.6.0-2mdk
- own dir (distriblint)

* Sun Jan 04 2004 Marcel Pol <mpol@mandrake.org> 1.6.0-1mdk
- 1.6.0
- more macros
- cleanup buildrequires
- really disable rpath

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-2mdk
- Rebuild

* Wed May 14 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1

* Fri Apr 25 2003 Marcel Pol <mpol@gmx.net> 1.2.0-3mdk
- buildrequires
- disable debug
- use configure macros

* Mon Apr 14 2003 Marcel Pol <mpol@gmx.net> 1.2.0-2mdk
- buildrequires

* Mon Apr 14 2003 Marcel Pol <mpol@gmx.net> 1.2.0-1mdk
- initial mandrake release





